declare function nuxtUi2(): {
    uiName: string;
    map: ({
        name: string;
        props: {
            ui: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            ":items": {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            prevButton: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            nextButton: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            arrows: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            indicators: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
        };
        link: string;
        link_zh: string;
        typeDetail: {};
        events: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        slots: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        props: {
            ":state": {
                type: string;
                default: string;
                value: string;
                required: boolean;
                description: string;
                description_zh: string;
            };
            ":schema": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
            ":validate": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
            validateOn: {
                type: string;
                default: string;
                value: string[];
                description: string;
                description_zh: string;
            };
        };
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        methods: never[];
        events: never[];
        props: {
            name: {
                type: string;
                default: string;
                value: string;
                required: boolean;
                description: string;
                description_zh: string;
            };
        };
        link: string;
        link_zh: string;
    } | {
        name: string;
        methods: never[];
        events: never[];
        props: {
            ui: {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
        };
        link: string;
        link_zh: string;
    } | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        events: never[];
        props: {
            orientation: {
                type: string;
                default: string;
                value: string[];
                description: string;
                description_zh: string;
            };
            ui: {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
            ":items": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            ":v-model": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            ":defaultIndex": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
        };
        typeDetail: {
            TabItem: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        slots: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[];
    lib: string;
    prefix: string;
};
declare function nuxtUi2Components(): {
    map: ((string | {
        name: string;
        methods: never[];
        events: never[];
        props: {
            name: {
                type: string;
                default: string;
                value: string;
                required: boolean;
                description: string;
                description_zh: string;
            };
        };
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            type: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            target: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            to: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            activeClass: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            exactActiveClass: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            ariaCurrentValue: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            prefetchedClass: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            as: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            inactiveClass: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            href: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            rel: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            replace: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            noRel: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            prefetch: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            noPrefetch: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            external: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            disabled: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            active: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            exact: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            exactQuery: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            exactHash: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
        };
        link: string;
        link_zh: string;
        typeDetail: {};
        events: never[];
        methods: never[];
        slots: never[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        props: {
            ":state": {
                type: string;
                default: string;
                value: string;
                required: boolean;
                description: string;
                description_zh: string;
            };
            ":schema": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
            ":validate": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
            validateOn: {
                type: string;
                default: string;
                value: string[];
                description: string;
                description_zh: string;
            };
        };
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
            value: string;
        }[];
        events: never[];
        props: {
            orientation: {
                type: string;
                default: string;
                value: string[];
                description: string;
                description_zh: string;
            };
            ui: {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
            ":items": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            ":v-model": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
            ":defaultIndex": {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
        };
        typeDetail: {
            TabItem: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        slots: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        methods: never[];
        events: never[];
        props: {
            ui: {
                type: string;
                default: string;
                value: string;
                description: string;
                description_zh: string;
            };
        };
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ui: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            ":items": {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            prevButton: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            nextButton: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            arrows: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
            indicators: {
                description: string;
                description_zh: string;
                default: string;
                value: string;
                type: string;
            };
        };
        link: string;
        link_zh: string;
        typeDetail: {};
        events: never[];
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        slots: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
        }[];
    })[])[];
    isSeperatorByHyphen: boolean;
    prefix: string;
    lib: string;
    isReact: boolean;
};

export { nuxtUi2, nuxtUi2Components };
